Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# menu.hh File Reference

A GtkMenu C++ wrapper interface. More...

`#include <xfc/gtk/menushell.hh>`
`#include <gtk/gtkmenu.h>`
`#include <xfc/gtk/inline/menu.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Menu
    A GtkMenu C++ wrapper class. More...

## Detailed Description

A GtkMenu C++ wrapper interface.

Provides Menu, a MenuShell widget that implements a drop down menu consisting of a list of MenuItem objects which can be navigated and activated by the user to perform application functions.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3